Skip to content

Confirm

Request

Informs Keeta that the order has been accepted and preparation will start soon.

It is expected to receive a CONFIRMED event after this action.



HOST: Keeta

DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
Path
orderIdstringrequired

The unique identifier of the order. The order ID is generated by Keeta.

Bodyapplication/json
reasonstring

Free field for more information about the order confirmation, such as which employee accepted the order, for example.

createdAtstring, (date-time)required

Order creation date and time.

(UTC date-time in ISO timestamp format. See Guidelines for more info).

orderExternalCodestringrequired

External order code, which can be used by merchant or marketplace.

preparationTimeinteger

Indicates an estimate of the preparation time (in minutes) for the order being confirmed.

curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/confirm' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "reason": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "orderExternalCode": "string",
    "preparationTime": 0
  }'

Responses

Request has been accepted for processing.

Response
No content